\chapter{Conclusion and Future Work}

\section{Contributions}
Summary of work done with a focus on own \textbf{contributions} (i.e. extensions of state-of-art). What are the main results? 

Circle back to research question(s) / thesis goal(s) / problem statement and reiterate how it has been solved (optimally in a novel way)

Highlight the \textbf{impact} of your work. What do the results mean for the domain / computer science?


\section{Improvements and Future Work}

\textbf{Outlook}: Open research questions, points that remain to be implemented, i.e. what came up as open ends during the work? What has to be done in the future? 

